/* ----------------------------------------------------------------------------------------------------- */
/*  @ Import/write your custom styles here.
/*  @ Styles from this file will override 'vendors.scss' and Fuse's base styles.
/* ----------------------------------------------------------------------------------------------------- */
/* 1. Components */
@use "components/example-viewer";
@use "components/input";

/* 2. Overrides */
@use "overrides/angular-material";
@use "overrides/highlightjs";
@use "overrides/perfect-scrollbar";
@use "overrides/quill";

html,
body {
    height: 100%;

}

body {
    margin: 0;
    font-family: "Inter-Regular";
    font-size: 14px;
    background-color: #F8F8F8 !important;
}

/*----Hide required symbol at login field-----*/
#mat-mdc-form-field-label-0 span,
#mat-mdc-form-field-label-2 span,
#mat-mdc-form-field-label-4 span {
    display: none;
}

.button-r5 {
    border-radius: 5px !important;
    height: 60px !important;
    max-height: 60px !important;
    background-color: #0038FF !important;
    color: #FFFFFF !important;
    min-height: 60px !important;
    font: normal normal 600 16px/22px Cabin;
}

.button-r5-white {
    border-radius: 5px !important;
    height: 60px !important;
    max-height: 60px !important;
    background-color: #FFFFFF !important;
    border: 1px solid #0038FF !important;
    color: #0038FF !important;
    min-height: 60px !important;
    font: normal normal 600 16px/22px Cabin !important;
}

.button-r5-disable {
    border-radius: 5px !important;
    height: 60px !important;
    max-height: 60px !important;
    background-color: #D1D3D4 !important;
    color: #7B7B7B !important;
    min-height: 60px !important;
    font: normal normal 600 16px/22px Cabin !important;
}

.button-r5-download {
    border-radius: 5px !important;
    height: 45px !important;
    max-height: 45px !important;
    min-height: 45px !important;
    font: normal normal 600 16px/22px Cabin !important;
}

.button-r5-disable:hover,
.button-r5-disable:focus,
.button-r5-disable:active,
.button-r5-disable:visited,
.button-r5-disable:target {
    background-color: #0038ff !important;
    color: #ffffff !important;
}

.button-r0 {
    border-radius: 0px !important;
    border: 1px solid #bfd3ff !important;
}

.button-r0:hover,
.button-r0:focus {
    background-color: #0038ff;
    color: #ffffff !important;
}

// for radio button Investor Type
.button-type {
    border: 1px solid #bfd3ff !important;
    color: #333333 !important;
}

#radioContainer td input[type="radio"]:checked+#radioContainer {
    border-color: #0038ff;
    color: #0038ff;
}

// end

.border-t-20 {
    border-top-width: 20px !important;
}

.mat-mdc-form-field-hint-wrapper.ng-tns-c127-1.ng-trigger.ng-trigger-transitionMessages.ng-star-inserted {
    padding: 0;
}

//Register
#registerForm .mat-mdc-form-field-subscript-wrapper.mat-mdc-form-field-bottom-align {
    height: 38px;
}

.mat-form-field-outline {
    border-color: #bfd3ff !important;
}

// end Register

//register- Security questions
.mat-mdc-checkbox .mdc-checkbox__ripple,
.mat-mdc-checkbox .mdc-checkbox .mdc-checkbox__native-control:not([disabled]):focus~.mdc-checkbox__ripple {
    opacity: 0 !important;
}

#checkSecurity div div div.mat-ripple.mat-mdc-checkbox-ripple.mat-mdc-focus-indicator {
    display: none;
}

#checkSecurity .mdc-form-field {
    align-items: normal;
}

#checkSecurity .mdc-form-field .mdc-checkbox {
    padding-top: 0;
}

#checkSecurity .mdc-form-field .mdc-checkbox .mat-mdc-checkbox-touch-target {
    top: 45%;
    height: 20px;
    width: 20px;
}

#checkSecurity .mdc-form-field .mdc-checkbox .mdc-checkbox__native-control {
    height: 20px;
    width: 20px;
    left: 25%;
}

#checkSecurity .mdc-form-field .mdc-checkbox .mdc-checkbox__background {
    top: 5%;
}

//end Security question

//register -otp
.otp-input {
    border: solid 1px #bfd3ff !important;
}

.otp-input.ng-pristine.ng-touched,
.otp-input.ng-untouched.ng-invalid {
    border: solid 1px #ff0000 !important;
}

.btn-filled-color {
    background-color: #0038ff;
    color: #ffffff;
}

// End OTP

/*Hide input field border and shadow*/
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-2.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-8.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-7.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-9.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-13.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-14.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-3.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-4.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-5.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-11.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-12.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-18.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-25.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-19.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-24.mdc-text-field--filled.mdc-text-field--no-label,
mat-form-field div.mat-mdc-text-field-wrapper.mdc-text-field.ng-tns-c127-6.mdc-text-field--filled.mdc-text-field--no-label {
    border-width: 0px !important;
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #ffffff),
        var(--tw-ring-shadow, 0 0 #ffffff), #ffffff !important;
}

/*end*/
// Drop Shadow Orange (Investor Portfolio page)
.box-shadow-orange {
    box-shadow: 0 0 10px 0 #ff873b66;
}

// Tier Button (Cash Wallet page)
.button-r5-tier {
    border-radius: 5px !important;
    height: 30px !important;
    max-height: 40px !important;
    min-height: 40px !important;
}

// Table navigation (Cash Wallet page - Recent Activity) - Start
.mat-paginator-page-size .mat-select-value,
.mat-paginator-range-label {
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
}

.mat-paginator-navigation button.mat-paginator-navigation-ellipsis {
    display: none;
}

// Table navigation (Cash Wallet page - Recent Activity) - End

// Divider custom css
.border-t {
    height: 1px;
    background-color: #e2e2e2;
    flex-grow: 1;
}

// Download Button (Top Up page - After transaction)
.button-r5-download {
    border-radius: 5px !important;
}

//RM text align
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-2.ng-star-inserted,
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-3.ng-star-inserted,
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-7.ng-star-inserted,
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-9.ng-star-inserted,
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-14.ng-star-inserted,
div.mat-mdc-form-field-icon-prefix.ng-tns-c127-5.ng-star-inserted {
    display: contents !important;
}

//end

.bg-0038ff {
    background-color: #0038ff;
}

.mat-mdc-form-field-hint-wrapper {
    padding: 0px !important;
}

//login border fix
div.mdc-notched-outline.ng-tns-c127-1.mdc-notched-outline--upgraded.ng-star-inserted div.mdc-notched-outline__notch,
div.mdc-notched-outline.ng-tns-c127-2.mdc-notched-outline--upgraded.ng-star-inserted div.mdc-notched-outline__notch {
    border-left: 0px !important;
}

//end

//Checkbox background
.mdc-checkbox__ripple {
    background: transparent !important;
}

//end

//pin border
.digit-item .each_pin_input {
    border: 1px solid #333333 !important;
    border-radius: 50px !important;
    width: 25px !important;
    height: 25px !important;
}

/* .pincode .pin_container .digit-item .each_pin_input input {
    font-size: 130px !important;
    width: unset !important;
} */


//end

#price::placeholder,
#amountValue,
#amountValue::placeholder {
    opacity: 1 !important;
    color: #333333 !important;
    font-size: 46px !important;
    font-weight: 600;
    font-family: 'Cabin', sans-serif;
}

#amountValue {
    height: 60px !important;
}

// OTP Invalid
fuse-alert .fuse-alert-container {
    background-color: #ffffff !important;
    justify-content: center;
}

//end

// Custom CSS for card post (Portfolio)
.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.mat-card-width {
    width: calc(33.33% - 20px);
    margin-bottom: 27px;
}

.card-image-content {
    display: flex;
    flex-direction: column;
    width: calc(33.33% - 27px);
    padding: 0;
    box-sizing: border-box;
}

.card-image img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

//Custom CSS for Help and Support (Portfolio)
.button-r5-help {
    border-radius: 5px !important;
    height: 30px !important;
    max-height: 80px !important;
    min-height: 60px !important;
}

//Paginator align left
.mat-mdc-paginator-container,
.mat-mdc-paginator-page-size.ng-star-inserted,
#mat-paginator-page-size-label-0 {
    padding-left: 0px !important;
    margin-left: 0px !important;
}

//camera border
.custom {
    display: none;
}

//menu edit
div>div:nth-child(1)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
div>div:nth-child(1)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span {
    color: #141461 !important;
    font-size: 16px !important;
    font-weight: 600 !important;
}

div>div:nth-child(2)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
div>div:nth-child(3)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
#mat-menu-panel-0>div>div:nth-child(4)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
div>div:nth-child(2)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
div>div:nth-child(3)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span,
div>div:nth-child(4)>span>fuse-horizontal-navigation-basic-item>div>div>div>div>span {
    font-size: 14px !important;
    font-weight: 500 !important;
}

div>div:nth-child(4)>span>fuse-horizontal-navigation-basic-item>div>div>mat-icon,
div>div:nth-child(4)>span>fuse-horizontal-navigation-basic-item>div>div>mat-icon {
    color: #ff0000 !important;
}

.mat-mdc-menu-panel {
    width: 225px !important;
}

//Buy, Sell, Transfer & Redeem menu (Portfolio)
.container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    grid-gap: 1rem;
}

.non-responsive-container {
    height: 200px;
    /* or your desired fixed height */
}

// //Custom CSS for filter dropdown box (Recent Activity)
// .mat-mdc-form-field-infix.ng-tns-c127-3,
// .mat-mdc-form-field-infix.ng-tns-c127-2 {
//     padding-top: 7px !important;
//     padding-bottom: 0px !important;
// }

// .mdc-notched-outline {
//     height: 39px !important;
// }

//Recent Activity custom css
.align-center-flex {
    position: absolute;
    top: 420px;
    left: 170px;
    right: 50px;
    margin: auto;
}

//Popup css
.mat-mdc-dialog-surface.mdc-dialog__surface {
    padding: 0px !important;
    text-align: center !important;
}

.bg-F3F6FD {
    background-color: #F3F6FD;
}

.mdc-dialog__container {
    width: 491px !important;
}

///end

//vertical nav menu

fuse-vertical-navigation fuse-vertical-navigation-collapsable-item .fuse-vertical-navigation-item-children .fuse-vertical-navigation-item {
    padding: 10px 16px !important;
}

body>bgd-root>layout>modern-layout>fuse-vertical-navigation>div>div.fuse-vertical-navigation-content>fuse-vertical-navigation-collapsable-item>div.fuse-vertical-navigation-item-children>fuse-vertical-navigation-basic-item:nth-child(3)>div>a>mat-icon {
    color: #ff0000 !important;
    background-color: #fff3f3 !important;
}

body>bgd-root>layout>modern-layout>fuse-vertical-navigation>div>div.fuse-vertical-navigation-content>fuse-vertical-navigation-collapsable-item>div>div>div>div {
    font-size: 16px !important;
    font-weight: 500;
    font-family: 'Cabin', sans-serif;
}

//end vertical nav menu

/*Responsive Tablet*/
@media only screen and (max-width: 768px) {

    //*Start Register Page*//
    /*Personal Info text*/
    #personalInfo .font-Semibold-24 {

        font-size: 20px !important;
    }
    //Phone Number Verification//
    /*6 digit OTP font*/
    #securityCheck .font-normal {

        font-size: 16px !important;
        color: #7B7B7B !important;
    }
    //Create Account//
    #account .font-Semibold-24 {
        font-size: 20px !important;
    }
    //*End Register Page*//



    //*Start My Account Page*//
    /*main my account page*/
    #fontName .font-Medium-18 {
        color: #141461 !important;
    }
    /*Bank Account*/
    #font12 .font-Regular-16 {
        color: #333333 !important;
    }
    .bankName {
        font-size: 20px !important;
    }
    #fontAccNum .font-Semibold-16 {
        color: #141461 !important;
    }
    #language1 .text-blue-500{
        font-size: 16px !important;
    }
    //*End My Account page*//



    //*Start Cash Wallet Dashboard*//
    #cashWalletFont .font-Medium-18 {
        font-size: 18px !important;
    }

    #cashWalletRM .font-Semibold-40 {
        font-size: 40px !important;
    }

    #cashWalletBank .font-Regular-18 {
        font-size: 18px !important;
    }

    #viewDetails .font-Regular-14 {
        font-size: 16px !important;
    }
    //*End Cash Wallet Dashboard*//



    //*Start Cash Wallet TopUp page*//
    #topUpMethod .font-Semibold-14 {
        font-size: 16px;
    }
    //*End Cash Wallet TopUp page*//



    //*Start Withdrawal Cash page*//
    #withdrawalColor .font-Semibold-40 {
        color: #141461 !important;
    }

    #withdrawConfirm .font-Semibold-14 {
        font-size: 16px;
    }

    #enterPin .font-normal {
        color: #7B7B7B !important;
    }
    //*End Withdrawal Cash TopUp page*//



    //*Start Transaction History page*//
    #transactionText1 .font-Semibold-40 {
        color: #141461 !important;
    }

    #transactionText2 .font-Semibold-30 {
        color: #141461 !important;
    }

    #viewDetails1 .font-Regular-14 {
        font-size: 16px !important;
    }
    //*End Transaction History page*//



    //*Start Investor Portfolio page*//
    .blueBox {
        max-width: 196px !important;
    }
    #profitLoss2 {
        display: inline-flex !important;
    }
    .profitbox {
        width: 325px !important;
        margin-top: 15px !important;
    }
    #portfolio2 .font-Bold-60 {
        font-size: 60px !important;
    }
    #portfolio1 .font-Regular-18 {
        font-size: 18px !important;
    }
    #portfolio4 .font-Bold-40 {
        font-size: 40px !important;
    }
    //*End Investor Portfolio page*//
    

    
    //*Start Graph Details page*//
    #text11 .font-Regular-18{
        font-size: 16px !important;
    }
    //*End Graph Details page*//

}

/*End Responsive Tablet*/




/*Responsive Mobile*/
@media only screen and (max-width: 500px) {

    /*page profit loss*/
    #profitLoss .font-Semibold-40 {
        font-size: 20px !important;
    }

    #profitLoss .font-Regular-18 {
        font-size: 14px !important;
        line-height: 20px !important;
    }

    /*End Page profit loss*/



    /*Page Buy Gold*/
    .font-Semibold-40 {
        font-size: 30px !important;
    }

    .font-Semibold-30 {
        font-size: 24px !important;
    }

    #buyGold .font-Regular-12 {
        padding-left: 29px !important;
        padding-right: 29px !important;
    }

    /*End Page Buy Gold*/



    //*Start Register page*//
    #register1 .font-Regular-14 {
        font-size: 16px !important;
    }
    //*End Register page*//



    //*Start My Account page*//
    #fontName1 .font-Medium-18 {
        font-size: 16px !important;
        color: #141461 !important;
    }

    #register2 .font-Semibold-20 {
        font-size: 24px;
    }
    //*End My Account page*//



    //*Start Cash Wallet Dashboard page*//
    #topUpFont .font-Medium-18{
        font-size: 16px !important;
    }

    #dashboardCW1 .font-Semibold-40 {
        font-size: 30px !important;
    }
    #dashboardCW4 .font-Semibold-30 {
        font-size: 16px !important;
        color: #333333 ;
    }
    #dashboardCW5 .font-Regular-16 {
        font-size: 14px !important;
        color: #7B7B7B !important;
    }
    //*End Cash Wallet Dashboard page*//



    //Gold Price Trend details page
    .graph-button {
        width: 47px !important;
        min-width: 47px !important;
        height: 20px !important;
        min-height: 20px !important;
    }
    #text20 .font-Semibold-40 {
        font-size: 20px !important;
    }
    #text14 .font-Medium-18{
        font-size: 14px !important;
    }

    //End of Golf Price Trend Details page
    


    //Transaction History page
    #transaction01 .font-Regular-16{
        font-size: 14px !important;
    }
    //End of Transaction History page

}

/*End Responsive Mobile*/


/*Responsive Others*/
@media only screen and (max-width: 599px) {

    /*Login Page*/
    .box-width {
        max-width: 331px !important;
        padding: 24px !important;
    }

    .image-width {
        padding-left: 33px !important;
        padding-right: 33px !important;
    }

    /*Transfer page*/
    #transferGold .box-padding {
        padding-top: 40px !important;
        padding-bottom: 40px !important;
    }

    /*End of Transfer Page*/

    /*Redeem Page*/
    .card-padding {
        margin-left: 35px !important;
        margin-top: 20px !important;
        padding: 20px !important
    }
    /*End of Redeem Page*/

    //Start Tier Page
    .font-Semibold-56 {
        font-size: 40px !important;
    }

    .pic-width {
        padding-left: 20px;
        padding-right: 20px;
    }
    //End of Tier Page

    //Start Dashboard Page
    #cash1wallet .font-Regular-18 {
        font-size: 16px !important;
    }

    #cash2wallet .font-Bold-60 {
        font-size: 30px !important;
    }

    #profitLoss1 .font-Bold-18 {
        font-size: 12px !important;
    }

    #investorFolio1 .font-Semibold-30 {
        font-size: 16px !important;
    }

    #investorFolio2 .font-Semibold-18 {
        font-size: 14px !important;
    }

    #investorFolio3 .font-Regular-18 {
        font-size: 10px !important;
        color: #333333 !important;
    }

    #investorFolio4 .font-Bold-40 {
        font-size: 14px !important;
    }

    #investorFolio5 .font-Bold-18 {
        font-size: 10px !important;
    }
    #investorFolio6 .font-Semibold-18 {
        font-size: 16px !important;
    }
    #investorFolio7 .font-Semibold-30 {
        font-size: 16px !important;
    }
    #text12 .font-Regular-18{
        font-size: 11px !important;
    }

    .font-Semibold-24 {
        font-size: 12px !important;
    }

    .bluebox1 {
        width: 107px !important;
    }

    .bluebox2 {
        width: 90px !important;
    }

    .orangebox {
        display: inline-flex !important;
        margin-left: 8px !important;
    }

    .orangboxIN {
        margin: 20px 20px !important;
    }

    .help {
        display: grid !important;
    }
    //End Dashboard Page

}


/*End Responsive Others*/



/* Importing Bootstrap SCSS file. */
@import "./node_modules/bootstrap/scss/bootstrap";

/* Importing Datepicker SCSS file. */
@import "node_modules/ngx-bootstrap/datepicker/bs-datepicker";